package italo.comecome.a_estrela;


public class CelulaAEstrela {

	private PosicaoAEstrela posicao;
	private int g = 0;
	private int h = 0;
	private PosicaoAEstrela pai = null;
	
	public CelulaAEstrela(int x, int y) {
		this.posicao = new PosicaoAEstrela(x, y);
	}
	
	public CelulaAEstrela(PosicaoAEstrela posicao) {
		this.posicao = posicao;
	}
	
	public boolean posicaoIgual(PosicaoAEstrela p) {
		return (p.getX() == this.posicao.getX() && p.getY() == this.posicao.getY());
	}

	public int getF() {
		return g+h;
	}
	
	public int getX() {
		return posicao.getX();
	}

	public void setX(int x) {
		posicao.setX(x);
	}

	public int getY() {
		return posicao.getY();
	}

	public void setY(int y) {
		posicao.setY(y);
	}

	public PosicaoAEstrela getPai() {
		return pai;
	}

	public void setPai(PosicaoAEstrela pai) {
		this.pai = pai;
	}

	public int getG() {
		return g;
	}

	public void setG(int g) {
		this.g = g;
	}

	public int getH() {
		return h;
	}

	public void setH(int h) {
		this.h = h;
	}

	public PosicaoAEstrela getPosicao() {
		return posicao;
	}

	public void setPosicao(PosicaoAEstrela posicao) {
		this.posicao = posicao;
	}

	public String toString() {
		return posicao.toString();
	}
	
}
