package italo.comecome.entrada;

import italo.comecome.gui.ContainerJogo;

import java.awt.event.KeyListener;

public class Entrada {

	public final static int MAX_NUMERO_JOYSTICKS = 2;
	
	private Teclado teclado;	
	private ContainerJogo container;
	
	public Entrada(ContainerJogo container) {
		this.container = container;			
		this.teclado = new Teclado(container);		
	}
	
	public void addTecladoListener(KeyListener listener) {
		teclado.addKeyListenerTeclado(listener);
	}
		
	public void removeTecladoListener(KeyListener listener) {
		teclado.removeKeyListenerTeclado(listener);
	}
				
	public void addEntradaListener() {
		container.getContainer().addKeyListener(teclado);
	}	
	
	public void removeEntradaListener() {
		container.getContainer().removeKeyListener(teclado);
	}
	
}
 