package italo.comecome.utilitarios;

import italo.comecome.personagem.Posicao;

import java.awt.Color;

public class Utilitarios {

	public static void sleep(int tempo) {
		try {
			Thread.sleep(tempo);
		}catch(InterruptedException e) {
			
		}
	}
	
	public static Color getCorAleatoria() {
		int red = (int)random(0, 255);
		int blue = (int)random(0, 055);
		int green = (int)random(0, 255);
		return new Color(red, blue, green);
	}
		
	public static double distancia(int x1, int y1, int x2, int y2){
		return Math.sqrt(Math.pow((x2-x1), 2)+Math.pow((y2-y1), 2));
	}
	
	public static double distancia(Posicao p1, Posicao p2){
		return distancia(p1.getX(), p1.getY(), p2.getX(), p2.getY());
	}
	
	public static int random(int min, int max){
		return (int) (min+Math.round(Math.random()*(max-min)));
	}
	
	public static boolean[][] copia(boolean[][] vetor) {
		boolean[][] vetorCopia = new boolean[vetor.length][];
		for(int i = 0; i < vetor.length; i++) {
			vetorCopia[i] = new boolean[vetor[i].length];
			for(int j = 0; j < vetor[i].length; j++)
				vetorCopia[i][j] = vetor[i][j];
		}
		return vetorCopia;
	}
	

	public static int[][] copia(int[][] vetor) {			
		int[][] vetorCopia = new int[vetor.length][];
		for(int i = 0; i < vetor.length; i++) {
			vetorCopia[i] = new int[vetor[i].length];
			for(int j = 0; j < vetor[i].length; j++)
				vetorCopia[i][j] = vetor[i][j];
		}
		return vetorCopia;
	}
			
}
