package italo.comecome.thread;

import italo.comecome.logica.JogoIT;

public class ThreadJogo extends Thread{

	private JogoIT jogo;
	
	public ThreadJogo(JogoIT jogo) {
		this.jogo = jogo;
	}
	
	public void run() {
		jogo.executar();
	}
			
	public synchronized void esperar() {
		try {
			super.wait();
		} catch (InterruptedException e) {
			
		}
	}
	
	public synchronized void notificar() {
		super.notify();
	}

}
