package italo.comecome.gui;

import italo.comecome.gui.desenho.Desenho;

import java.awt.Graphics;

import javax.swing.JPanel;

public class PainelPersonalizado extends JPanel {

	private static final long serialVersionUID = 1L;		

	private Desenho desenho = null;
	
	public PainelPersonalizado() {}
	
	public PainelPersonalizado(Desenho desenho) {
		this.desenho = desenho;
	}
	
	public void desenhar(Desenho desenho) {
		setDesenho(desenho);
		repaint();
	}

	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		if(desenho != null)
			desenho.desenhar(g);	
	}

	public Desenho getDesenho() {
		return desenho;
	}

	public void setDesenho(Desenho desenho) {
		this.desenho = desenho;
	}
		
}
