package italo.comecome.logica;

import italo.comecome.personagem.Monstrinho;
import italo.comecome.personagem.Personagem;

public interface FaseListener {

	public void executar(Fase fase);
	
	public void iniciar(Fase fase);
	
	public void reiniciar(Fase fase);
	
	public void finalizar(Fase fase);
		
	public void sairDaCasaInicio(Fase fase, Monstrinho monstrinho);
	
	public void entrarNaCasa(Fase fase, Monstrinho monstrinho);
	
	public void sairDaCasa(Fase fase, Monstrinho monstrinho);
	
	public void mover(Fase fase, Personagem personagem);
	
	public void mostrarCaminhoOtimo(Fase fase, Monstrinho monstrinho, boolean b);

	public void comeuBolinha(Fase fase);
	
	public void comeuBolinhaGrande(Fase fase);
	
	public void comeuMonstrinho(Fase fase);
	
}
