package italo.comecome.a_estrela.util;

import italo.comecome.a_estrela.CelulaAEstrela;

public class UtilitariosAEstrela {

	public static double distancia(int x1, int y1, int x2, int y2){
		return Math.sqrt(Math.pow((x2-x1), 2)+Math.pow((y2-y1), 2));
	}
	
	public static double distancia(CelulaAEstrela c1, CelulaAEstrela c2){
		return distancia(c1.getX(), c1.getY(), c2.getX(), c2.getY());
	}
	
	public static int random(int min, int max){
		return (int) (min+Math.round(Math.random()*(max-min)));
	}
			
}
